package com.jdbernard.timestamper

import java.awt.Color
import java.awt.Font
import javax.swing.BoxLayout
import net.miginfocom.swing.MigLayout

application(title:'TimeStamper',
  //size:[320,480],
  pack:true,
  //location:[50,50],
  undecorated:true,
  locationByPlatform:true,
  iconImage: imageIcon('/appointment-new-32x32.png').image,
  iconImages: [imageIcon('/appointment-new-32x32.png').image,
               imageIcon('/appointment-new-16x16.png').image]
) {
    panel(
      border:lineBorder(color:Color.BLACK, thickness:1, parent:true),
      layout: new MigLayout('insets 0 5 0 0, fill','', '[]0[]0[]')
    ) {
        def mainFont = new Font(Font.SANS_SERIF, Font.BOLD, 12)
        def timeFont = new Font(Font.SANS_SERIF, Font.BOLD, 14)
        label("Current task started at ", font: mainFont)
        label("00:00:00", constraints: 'align leading',
            font: timeFont, foreground: [0, 102, 102])

        panel( constraints: 'alignx trailing, aligny top, wrap') {
            boxLayout(axis: BoxLayout.X_AXIS)
            button(toolsMenuAction,
                icon: imageIcon('/16-tool-a.png'),
                rolloverIcon: imageIcon('/16-tool-a-hover.png'),
                border: emptyBorder(0),
                contentAreaFilled: false,
                hideActionText: true)
            button(gracefulExitAction,
                icon: imageIcon('/16-em-cross.png'),
                rolloverIcon: imageIcon('/16-em-cross-hover.png'),
                border: emptyBorder(0),
                contentAreaFilled: false,
                hideActionText: true)
        }

        textField("Task name", constraints: "growx, span 2, w 250::")

        panel(constraints: 'alignx leading, aligny top, gapright 5px, wrap') {
            boxLayout(axis: BoxLayout.X_AXIS)
            toggleButton(icon: imageIcon('/16-em-pencil.png'),
                border: emptyBorder(4))
            toggleButton(icon: imageIcon('/16-file-archive.png'),
                border: emptyBorder(4))
        }

        label("2hr 18min 56sec", constraints: 'alignx leading', font: timeFont,
            foreground: [0, 153, 0])

        label("00:00:00", constraints: 'align trailing', font: timeFont,
            foreground: [204, 0, 0])
    }
}
